/* Copyright (C) 2003 David Fries <david@fries.net>
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation
 * $Id: OpenEXRWriter.h,v 1.5 2006/09/24 15:09:23 david Exp $
 */

#ifndef _OPENEXRWRITER_H
#define _OPENEXRWRITER_H 1

/* outfile contains the file name
 * data is the sum of each image component
 * incount is the number of source images
 * the image width and height are in width and height
 */
void WriteEXRImage(const char *outfile, unsigned int *data, int incount,
	int width, int height);
typedef void (*WriteEXRImageFuncType)(const char *outfile,
	unsigned int *data, int incount, int width, int height);

#endif // _OPENEXRWRITER_H
